\papertitle{Best practises in team package maintenance}

\paperauthor{Gregor Herrmann}

\begin{abstract}
Team maintenance for (groups of) packages is en vogue; dozens or perhaps
hundreds of packaging teams care for a subset of the Debian archive in a
collaborative style. This BOF offers the opportunity for members of different
packaging teams to exchange their experiences, share their success and problem
stories, and in general learn from each other.  
\end{abstract}

\section{Introduction}

If you are an active member of a team that collaboratively maintains packages in
Debian and you plan to attend the BOF ``Best practises in team package
maintenance'' during DebConf8, please take a few minutes to think about the
following questions.

The BOF will start with short presentations (just a couple of minutes) along
these questions, ideally one contribution by each team with members present;
these presentations are not intended to be formal in any way, but instead to
inform the other participants about the various teams and to serve as a basis
for discussing points of common interest.

If you have a chance to discuss your team's mini-presentation with other team
members (before DebConf or in Mar del Plata over a nice cup/glass of
\verb+$preferred_drink+)---even better!

\section{Questions}

\subsection{Basics}

\begin{itemize}
 \item Name of the team
 \item Area of work
 \item Approximate number of members
 \item Approximate number of maintained packages
\end{itemize}

\subsection{Work flow}

\paragraph{Communication}
\begin{itemize}
 \item main/preferred ways of communication within the group (mailing list,
  IRC, commit messages, web platform, \ldots)
\end{itemize}

\paragraph{Members}
\begin{itemize}
 \item How do you recruit and integrate new members?
 \item How does mutual support work?
 \item Is there some formal "team leadership"?
 \item Do you use the "Debian Maintainer" concept?
\end{itemize}

\paragraph{Review/uploads/sponsoring}
\begin{itemize}
 \item How do you handle reviewing/uploading packages which are prepared by
  non-DDs?
\end{itemize}

\paragraph{Infrastructure}
\begin{itemize}
 \item Where/how do you keep your packages (version control, \ldots)?
\end{itemize}

\paragraph{Policy/rules}
\begin{itemize}
 \item Do you have written/unofficial guidelines for your packages?
 \item How do they work out in practise?
\end{itemize}

\paragraph{Tools}
\begin{itemize}
 \item Do you use any "unusual" tools in your work (scripts, web apps, \ldots)
  that help you with regard to upstream releases, bugs, packaging itself,
  \ldots?
\end{itemize}

\subsection{Experiences}

\paragraph{Best practises/successes}
\begin{itemize}
 \item Is there something you can share with other teams that works just great
  for your team and might help others?
\end{itemize}

\paragraph{Challenges/failures}
\begin{itemize}
 \item Is there something you're not happy about in your team and where you
  would appreciate input from other teams?
\end{itemize}

\subsection{Other teams/Debian}

\begin{itemize}
 \item Is there a need for improving communication/cooperation with other teams?
  How?
 \item Do you have any common projects in mind that might help all packaging
  teams?
 \item Is there something with regard to the relationship between Debian Policy
  and teams you would like to see changed?
\end{itemize}

